extends Node2D

var Popup = preload("res://src/Popup.gd")

func _ready():
#  var centerPos = 0.5 * get_viewport().size
#  var popup = Popup.new("God of Fingers", \
#      "Sacrifices 42 " + "of Lambs your God desires...\n" + \
#      "Keep your enemies at bay " + "with icicles and fires!\n" + \
#      "Every Spell demands you cut a finger from your hand...\n" + \
#      "But God is Great, by force of blood regrowth He you will grant!", \
#      centerPos, get_viewport().size, Vector2(66, 66))
#  self.add_child(popup)
#  popup.show()
  pass
  
func _unhandled_key_input(event):
  if event.is_action("startGame"):
    get_tree().change_scene("res://World.tscn")